shadwshadw/Docs
GuidesAPIGetting Started
Dashboard
shadw REST APIOverviewErrors
  • GETGet the overview
  • GETGet logs
  • GETGet cluster resources
APIs & SDKs/shadw REST API/Get cluster resources

Get cluster resources

GEThttps://api.shadw.cloud/v1/resources

Live cluster resource totals (CPU, memory, disk) across the mesh and this node's usage.

Authentication

AuthorizationbearerToken

A platform API key (hive_…, created under Settings → API Keys) or a short-lived JWT minted with POST /v1/token. An API key scopes the request to the team it was created under.

ts
const response = await fetch('https://api.shadw.cloud/v1/resources', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY', // hive_… (Settings → API Keys)
  },
});

const data = await response.json();
console.log(data);
Response
json
{ "cluster": { "nodes": 2, "cpu_cores": 16, "mem_total_mb": 32768 } }